<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
   <extension
         point="org.eclipse.ui.views">
      <category
            name="%category.name"
            id="unicode_viewer">
      </category>
      <view
            allowMultiple="false"
            category="unicode_viewer"
            class="info.textgrid.lab.xmleditor.multicharbrowser.UnicodeView"
            icon="icons/accessories-character-map.png"
            id="info.textgrid.lab.xmleditor.multicharbrowser.viewer.UnicodeView"
            name="%view.name"
            restorable="true">
      </view>
   </extension>
   <extension
         point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension
            targetID="org.eclipse.ui.resourcePerspective">
         <view
               ratio="0.5"
               relative="org.eclipse.ui.views.TaskList"
               relationship="right"
               id="info.textgrid.lab.xmleditor.multicharbrowser.viewer.UnicodeView">
         </view>
      </perspectiveExtension>
      <perspectiveExtension
            targetID="info.textgrid.lab.welcome.XMLEditorPerspective">
         <view
               id="info.textgrid.lab.xmleditor.multicharbrowser.viewer.UnicodeView"
               minimized="false"
               relationship="stack"
               relative="info.textgrid.lab.core.metadataeditor.view">
         </view>
      </perspectiveExtension>
   </extension>
   <extension
         point="org.eclipse.ui.commands">
      <command
            categoryId="info.textgrid.lab.xmleditor.multicharbrowser.category"
            defaultHandler="info.textgrid.lab.xmleditor.multicharbrowser.InsertHandler"
            id="info.textgrid.lab.xmleditor.multicharbrowser.insertCommand"
            name = "%command.name.insert">
      </command>
      <category
            id="info.textgrid.lab.xmleditor.multicharbrowser.category"
            name="%category.name.browser">
      </category>
      <command
            defaultHandler="info.textgrid.lab.xmleditor.multicharbrowser.ShowUnicodeCharacterTableHandler"
            id="info.textgrid.lab.xmleditor.multicharbrowser.showUnicodeCharacterTable"
            name="%command.name.table">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="menu:showview?after=tools.anchor4">
         <command
               commandId="info.textgrid.lab.xmleditor.multicharbrowser.showUnicodeCharacterTable"
               style="push">
         </command>
      </menuContribution>
      <menuContribution
            allPopups="false"
            locationURI="toolbar:toolsbar?after=toolsbar.anchor1">
         <command
               commandId="info.textgrid.lab.xmleditor.multicharbrowser.showUnicodeCharacterTable"
               style="push">
         </command>
      </menuContribution>
   </extension>
   <extension
         point="org.eclipse.ui.commandImages">
      <image
            commandId="info.textgrid.lab.xmleditor.multicharbrowser.showUnicodeCharacterTable"
            icon="icons/accessories-character-map.png">
      </image>
   </extension>
   <!--<extension
         point="org.eclipse.ui.handlers">
      <handler
            class="info.textgrid.lab.xmleditor.multicharbrowser.ShowUnicodeCharacterTableHandler"
            commandId="info.textgrid.lab.xmleditor.multicharbrowser.showUnicodeCharacterTable">
      </handler>
   </extension>-->
</plugin>
